%define _srcdir BLACS
%define _approot /opt/blacs
%define _modroot /usr/share/Modules/modulefiles/blacs

Name:           blacs-mpich1-gnu
Version:        20000224
Release:        4
Summary:        The BLACS (Basic Linear Algebra Communication Subprograms) project

Group:          Development/Libraries
License:        opensource
URL:            http://www.netlib.org/blacs/
Source0:        mpiblacs.tgz
Source1:        mpiblacs-patch03.tgz
Source2:        Bmake-mpich1-gnu.inc
Source3:        blacs-mpich1-gnu-module
Source4:        blacstester-rh.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       mpich1-ethernet-gnu coreutils atlas
BuildRequires:  mpich1-ethernet-gnu atlas-devel coreutils gcc-gfortran

%description
The BLACS (Basic Linear Algebra Communication Subprograms) project
is an ongoing investigation whose purpose is to create a linear
algebra oriented message passing interface that may be implemented
efficiently and uniformly across a large range of distributed memory
platforms.

The length of time required to implement efficient distributed
memory algorithms makes it impractical to rewrite programs for every
new parallel machine. The BLACS exist in order to make linear algebra
applications both easier to program and more portable.


%prep
%setup -q -n %{_srcdir}

%build
tar zxf %{SOURCE4}
cp %{SOURCE2} Bmake.inc
export BTOPdir=%{_builddir}/%{_srcdir}
make mpi
make tester

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_approot}/mpich1/gnu/lib
mkdir -p %{buildroot}%{_approot}/mpich1/gnu/bin

install -D -m 0644 %{SOURCE3} %{buildroot}%{_modroot}/%{name}

install -m 644 LIB/blacsCinit_MPI-LINUX-0.a %{buildroot}%{_approot}/mpich1/gnu/lib
install -m 644 LIB/blacs_MPI-LINUX-0.a %{buildroot}%{_approot}/mpich1/gnu/lib
install -m 644 LIB/blacsF77init_MPI-LINUX-0.a %{buildroot}%{_approot}/mpich1/gnu/lib
install -m 755 TESTING/EXE/xCbtest_MPI-LINUX-0 %{buildroot}%{_approot}/mpich1/gnu/bin
install -m 755 TESTING/EXE/xFbtest_MPI-LINUX-0 %{buildroot}%{_approot}/mpich1/gnu/bin
install -m 644 TESTING/EXE/*.dat %{buildroot}%{_approot}/mpich1/gnu/bin

%clean
rm -rf %{buildroot}

%post

%pre

%files
%defattr(-,root,root,-)
%{_approot}
%{_modroot}/%{name}

%changelog
* Wed Jul 2 2008 Mike Frisch <mfrisch@platform.com> 20000224-4
- Use Fortran 90 compiler

* Tue Apr 1 2008 Mike Frisch <mfrisch@platform.com> 20000224-3
- Fix Requires/BuildRequires and files section

* Tue Sep 25 2007 Najib Ninaba <najib@osgdc.org>
- Initial packaging
